from django.test import TestCase
from dcim.importer import short_username


class DcimImporter(TestCase):
    def test_short_name_conversion(self):
        self.assertEqual(short_username('User Name'), 'uname')
        self.assertEqual(short_username('User Name Long'), 'unamelong')
        self.assertEqual(short_username('UserName'), 'username')
        self.assertEqual(short_username(None), None)
