from setuptools import setup, find_packages

setup(
    name='racks',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "Django==1.8.7",
        "djangorestframework==3.3.2",
        "PyYAML==3.11",
        "python-ldap==2.4.22",
        "django-auth-ldap==1.2.7",
        "netaddr==0.7.18",
        "django-filter==0.11.0",
        "requests==2.9.1",
        "PyZabbix==0.7.3",
        "netmiko>=0.2.8",
        "celery==3.1.20",
        "django-bootstrap3==6.2.2",
        "launchpadlib>=1.10.3",
        "pytz",
        "keyring==7.3",
        "cryptography==1.2.3",
        # simplejson required by lazr.restfulclient
        # https://bugs.launchpad.net/lazr.restfulclient/+bug/1500460
        "simplejson",
    ],
    zip_safe=False,
)
