from django import forms

from jenkins_ci.models import JenkinsInstance, JenkinsNode


class JenkinsInstanceForm(forms.ModelForm):

    class Meta:
        model = JenkinsInstance
        fields = ['name', 'url', 'username', 'api_key']


class JenkinsNodeForm(forms.ModelForm):

    class Meta:
        model = JenkinsNode
        fields = ['name', 'hostname', 'address', 'inventory_object']
